Sluby
REST APIUploads

Upload status.

GET
/api/v1/uploads/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

A Sluby API key (sluby_...) sent as Authorization: Bearer <key>. Keys carry scopes: upload, read, manage.

Path Parameters

id*string

Upload id, the last segment of the tus Location.

Response Body

Status and progress.

application/json
  1. response
id*string

The upload id: the last segment of the tus Location.

video_asset_id*|
Formatuuid
status*string
Value in"uploading""completed""cancelled""failed"
progress_percent*integer
Range0 <= value <= 100
file_size*integer
uploaded_bytes*integer
Example Request
curl -X GET 'https://sluby.example.com/api/v1/uploads/string'
Example Response
{  "id": "string",  "video_asset_id": "54cbbdd6-c2f9-402b-808d-71f69081f2d7",  "status": "uploading",  "progress_percent": 0,  "file_size": 0,  "uploaded_bytes": 0}